#ifndef __CDRYPTED_H__
#define __CDRYPTED_H__

typedef struct _Crypted_msg
{
  u8 *msisdn;
  u8 time[6];
  u8 p1;
  u8 adn_ready;
}
Crypted_msg;

typedef struct _Crypt_key
{
  u8 *msisdn;
  u8 text[16];
}
Crypt_key;

extern SEdgeP crypted_edges_p[];
extern SNodeP crypted_n;

extern lc_char PROGMEM lc_Crypted[];
extern lc_char PROGMEM lc_Default_Crypted[];

u8 crypted_msg_ctx (SCtx * ctx, u8 action);
void make_crypt_key (u8 * buf, u8 * res, u8 key_len);
u8 decrypt_msg (u8 * s);

#endif
