#ifndef __MASKED__H__
#define __MASKED__H__

typedef struct _Mask
{
  u8 *sender;
  u8 *text;
}
Mask;

typedef struct _Mask_key
{
  u8 key[16];
  u8 nr_masks;
  SEdge *mask_msisdns;
  SEdge *mask_masks;
  struct _Mask_key *next;
}
Mask_key;

extern SEdgeP masked_edges_p[];
extern SNodeP masked_n;

extern lc_char PROGMEM lc_Masked[];
extern lc_char PROGMEM lc_Default_Mask[];

void substitute_mask (u8 * s, u8 * text, u8 * sender);

#endif
